Bug 557020 - virt-manager ignores storage pool settings
Summary: virt-manager ignores storage pool settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-20 06:21 UTC by Andrew McNabb
Modified: 2010-04-09 03:55 UTC (History)
5 users (show)

Fixed In Version: virt-manager-0.8.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 01:43:55 UTC
Type: ---


Attachments (Terms of Use)

Description Andrew McNabb 2010-01-20 06:21:34 UTC
I changed /etc/libvirt/storage/default.xml to point to a different path (/big/virt) instead of the preset value (/var/lib/libvirt/images).  I then restarted libvirtd to make sure that the changes take effect.  Running "virsh pool-info default" gives information about the correct filesystem (at /big/virt):
Name:           default
UUID:           ddcce330-45a0-592b-23c7-1f94e76a4a85
State:          running
Capacity:       1.36 TB
Allocation:     1.09 TB
Available:      276.13 GB

However, when I try to create a new virtual machine in virt-manager, it insists on creating it with the path /var/lib/libvirt/images/windows.img instead of /big/virt/windows.img and sets the maximum partition size at 12.2 Gb.  If I go to "Select managed or other existing storage" and click on "New Volume", then virt-manager completely hangs.

Comment 1 Cole Robinson 2010-02-27 01:37:45 UTC
Fixed upstream:

http://hg.fedorahosted.org/hg/virt-manager/rev/831fa7210e04

Comment 2 Fedora Update System 2010-03-22 01:54:19 UTC
virt-manager-0.8.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/virt-manager-0.8.2-3.fc12

Comment 3 Fedora Update System 2010-03-22 16:33:04 UTC
virt-manager-0.8.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/virt-manager-0.8.3-2.fc13

Comment 4 Fedora Update System 2010-03-23 23:22:53 UTC
virt-manager-0.8.3-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/virt-manager-0.8.3-2.fc13

Comment 5 Fedora Update System 2010-03-23 23:31:13 UTC
virt-manager-0.8.2-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/virt-manager-0.8.2-3.fc12

Comment 6 Fedora Update System 2010-04-09 01:43:33 UTC
virt-manager-0.8.2-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-04-09 03:55:07 UTC
virt-manager-0.8.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.